1# Makefile.in generated by automake 1.9.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am,v 1.4 2004/07/11 16:15:18 psy Exp $
18#
19# Copyright (C) 2003 Tristan Miller <psychonaut@nothingisreal.com>
20#
21# This file is free software; the author gives unlimited permission to
22# copy and/or distribute it, with or without modifications.
23#
24# This program is distributed in the hope that it will be useful, but
25# WITHOUT ANY WARRANTY, to the extent permitted by law; without even
26# the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
27# PURPOSE.
28srcdir = @srcdir@
29top_srcdir = @top_srcdir@
30VPATH = @srcdir@
31pkgdatadir = $(datadir)/@PACKAGE@
32pkglibdir = $(libdir)/@PACKAGE@
33pkgincludedir = $(includedir)/@PACKAGE@
34top_builddir = .
35am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36INSTALL = @INSTALL@
37install_sh_DATA = $(install_sh) -c -m 644
38install_sh_PROGRAM = $(install_sh) -c
39install_sh_SCRIPT = $(install_sh) -c
40INSTALL_HEADER = $(INSTALL_DATA)
41transform = $(program_transform_name)
42NORMAL_INSTALL = :
43PRE_INSTALL = :
44POST_INSTALL = :
45NORMAL_UNINSTALL = :
46PRE_UNINSTALL = :
47POST_UNINSTALL = :
48subdir = .
49DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
50	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
51	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
52	THANKS TODO depcomp install-sh missing
53ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
54am__aclocal_m4_deps = $(top_srcdir)/configure.ac
55am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
56	$(ACLOCAL_M4)
57am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
58 configure.lineno configure.status.lineno
59mkinstalldirs = $(install_sh) -d
60CONFIG_HEADER = config.h
61CONFIG_CLEAN_FILES =
62SOURCES =
63DIST_SOURCES =
64RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
65	html-recursive info-recursive install-data-recursive \
66	install-exec-recursive install-info-recursive \
67	install-recursive installcheck-recursive installdirs-recursive \
68	pdf-recursive ps-recursive uninstall-info-recursive \
69	uninstall-recursive
70man1dir = $(mandir)/man1
71am__installdirs = "$(DESTDIR)$(man1dir)"
72NROFF = nroff
73MANS = $(man_MANS)
74ETAGS = etags
75CTAGS = ctags
76DIST_SUBDIRS = $(SUBDIRS)
77DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78distdir = $(PACKAGE)-$(VERSION)
79top_distdir = $(distdir)
80am__remove_distdir = \
81  { test ! -d $(distdir) \
82    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
83         && rm -fr $(distdir); }; }
84DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
85GZIP_ENV = --best
86distuninstallcheck_listfiles = find . -type f -print
87distcleancheck_listfiles = find . -type f -print
88ACLOCAL = @ACLOCAL@
89AMDEP_FALSE = @AMDEP_FALSE@
90AMDEP_TRUE = @AMDEP_TRUE@
91AMTAR = @AMTAR@
92AUTOCONF = @AUTOCONF@
93AUTOHEADER = @AUTOHEADER@
94AUTOMAKE = @AUTOMAKE@
95AWK = @AWK@
96CC = @CC@
97CCDEPMODE = @CCDEPMODE@
98CFLAGS = @CFLAGS@
99CPP = @CPP@
100CPPFLAGS = @CPPFLAGS@
101CYGPATH_W = @CYGPATH_W@
102DEFS = @DEFS@
103DEPDIR = @DEPDIR@
104ECHO_C = @ECHO_C@
105ECHO_N = @ECHO_N@
106ECHO_T = @ECHO_T@
107EGREP = @EGREP@
108EXEEXT = @EXEEXT@
109INSTALL_DATA = @INSTALL_DATA@
110INSTALL_PROGRAM = @INSTALL_PROGRAM@
111INSTALL_SCRIPT = @INSTALL_SCRIPT@
112INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
113LDFLAGS = @LDFLAGS@
114LIBOBJS = @LIBOBJS@
115LIBS = @LIBS@
116LTLIBOBJS = @LTLIBOBJS@
117MAKEINFO = @MAKEINFO@
118OBJEXT = @OBJEXT@
119PACKAGE = @PACKAGE@
120PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
121PACKAGE_NAME = @PACKAGE_NAME@
122PACKAGE_STRING = @PACKAGE_STRING@
123PACKAGE_TARNAME = @PACKAGE_TARNAME@
124PACKAGE_VERSION = @PACKAGE_VERSION@
125PATH_SEPARATOR = @PATH_SEPARATOR@
126SET_MAKE = @SET_MAKE@
127SHELL = @SHELL@
128STRIP = @STRIP@
129VERSION = @VERSION@
130ac_ct_CC = @ac_ct_CC@
131ac_ct_STRIP = @ac_ct_STRIP@
132am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
133am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
134am__include = @am__include@
135am__leading_dot = @am__leading_dot@
136am__quote = @am__quote@
137am__tar = @am__tar@
138am__untar = @am__untar@
139bindir = @bindir@
140build_alias = @build_alias@
141datadir = @datadir@
142exec_prefix = @exec_prefix@
143host_alias = @host_alias@
144includedir = @includedir@
145infodir = @infodir@
146install_sh = @install_sh@
147libdir = @libdir@
148libexecdir = @libexecdir@
149localstatedir = @localstatedir@
150mandir = @mandir@
151mkdir_p = @mkdir_p@
152oldincludedir = @oldincludedir@
153prefix = @prefix@
154program_transform_name = @program_transform_name@
155sbindir = @sbindir@
156sharedstatedir = @sharedstatedir@
157sysconfdir = @sysconfdir@
158target_alias = @target_alias@
159AUTOMAKE_OPTIONS = dist-bzip2
160SUBDIRS = src
161man_MANS = doc/gpp.1
162EXTRA_DIST = BUGS TODO doc/gpp.html doc/gpp.pp $(man_MANS)
163all: config.h
164	$(MAKE) $(AM_MAKEFLAGS) all-recursive
165
166.SUFFIXES:
167am--refresh:
168	@:
169$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
170	@for dep in $?; do \
171	  case '$(am__configure_deps)' in \
172	    *$$dep*) \
173	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
174	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
175		&& exit 0; \
176	      exit 1;; \
177	  esac; \
178	done; \
179	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
180	cd $(top_srcdir) && \
181	  $(AUTOMAKE) --gnu  Makefile
182.PRECIOUS: Makefile
183Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
184	@case '$?' in \
185	  *config.status*) \
186	    echo ' $(SHELL) ./config.status'; \
187	    $(SHELL) ./config.status;; \
188	  *) \
189	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
190	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
191	esac;
192
193$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
194	$(SHELL) ./config.status --recheck
195
196$(top_srcdir)/configure:  $(am__configure_deps)
197	cd $(srcdir) && $(AUTOCONF)
198$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
199	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
200
201config.h: stamp-h1
202	@if test ! -f $@; then \
203	  rm -f stamp-h1; \
204	  $(MAKE) stamp-h1; \
205	else :; fi
206
207stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
208	@rm -f stamp-h1
209	cd $(top_builddir) && $(SHELL) ./config.status config.h
210$(srcdir)/config.h.in:  $(am__configure_deps)
211	cd $(top_srcdir) && $(AUTOHEADER)
212	rm -f stamp-h1
213	touch $@
214
215distclean-hdr:
216	-rm -f config.h stamp-h1
217uninstall-info-am:
218install-man1: $(man1_MANS) $(man_MANS)
219	@$(NORMAL_INSTALL)
220	test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
221	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
222	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
223	for i in $$l2; do \
224	  case "$$i" in \
225	    *.1*) list="$$list $$i" ;; \
226	  esac; \
227	done; \
228	for i in $$list; do \
229	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
230	  else file=$$i; fi; \
231	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
232	  case "$$ext" in \
233	    1*) ;; \
234	    *) ext='1' ;; \
235	  esac; \
236	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
237	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
238	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
239	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
240	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
241	done
242uninstall-man1:
243	@$(NORMAL_UNINSTALL)
244	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
245	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
246	for i in $$l2; do \
247	  case "$$i" in \
248	    *.1*) list="$$list $$i" ;; \
249	  esac; \
250	done; \
251	for i in $$list; do \
252	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
253	  case "$$ext" in \
254	    1*) ;; \
255	    *) ext='1' ;; \
256	  esac; \
257	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
258	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
259	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
260	  echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
261	  rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
262	done
263
264# This directory's subdirectories are mostly independent; you can cd
265# into them and run `make' without going through this Makefile.
266# To change the values of `make' variables: instead of editing Makefiles,
267# (1) if the variable is set in `config.status', edit `config.status'
268#     (which will cause the Makefiles to be regenerated when you run `make');
269# (2) otherwise, pass the desired values on the `make' command line.
270$(RECURSIVE_TARGETS):
271	@set fnord $$MAKEFLAGS; amf=$$2; \
272	dot_seen=no; \
273	target=`echo $@ | sed s/-recursive//`; \
274	list='$(SUBDIRS)'; for subdir in $$list; do \
275	  echo "Making $$target in $$subdir"; \
276	  if test "$$subdir" = "."; then \
277	    dot_seen=yes; \
278	    local_target="$$target-am"; \
279	  else \
280	    local_target="$$target"; \
281	  fi; \
282	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
283	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
284	done; \
285	if test "$$dot_seen" = "no"; then \
286	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
287	fi; test -z "$$fail"
288
289mostlyclean-recursive clean-recursive distclean-recursive \
290maintainer-clean-recursive:
291	@set fnord $$MAKEFLAGS; amf=$$2; \
292	dot_seen=no; \
293	case "$@" in \
294	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
295	  *) list='$(SUBDIRS)' ;; \
296	esac; \
297	rev=''; for subdir in $$list; do \
298	  if test "$$subdir" = "."; then :; else \
299	    rev="$$subdir $$rev"; \
300	  fi; \
301	done; \
302	rev="$$rev ."; \
303	target=`echo $@ | sed s/-recursive//`; \
304	for subdir in $$rev; do \
305	  echo "Making $$target in $$subdir"; \
306	  if test "$$subdir" = "."; then \
307	    local_target="$$target-am"; \
308	  else \
309	    local_target="$$target"; \
310	  fi; \
311	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
312	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
313	done && test -z "$$fail"
314tags-recursive:
315	list='$(SUBDIRS)'; for subdir in $$list; do \
316	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
317	done
318ctags-recursive:
319	list='$(SUBDIRS)'; for subdir in $$list; do \
320	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
321	done
322
323ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
324	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
325	unique=`for i in $$list; do \
326	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
327	  done | \
328	  $(AWK) '    { files[$$0] = 1; } \
329	       END { for (i in files) print i; }'`; \
330	mkid -fID $$unique
331tags: TAGS
332
333TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
334		$(TAGS_FILES) $(LISP)
335	tags=; \
336	here=`pwd`; \
337	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
338	  include_option=--etags-include; \
339	  empty_fix=.; \
340	else \
341	  include_option=--include; \
342	  empty_fix=; \
343	fi; \
344	list='$(SUBDIRS)'; for subdir in $$list; do \
345	  if test "$$subdir" = .; then :; else \
346	    test ! -f $$subdir/TAGS || \
347	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
348	  fi; \
349	done; \
350	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
351	unique=`for i in $$list; do \
352	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
353	  done | \
354	  $(AWK) '    { files[$$0] = 1; } \
355	       END { for (i in files) print i; }'`; \
356	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
357	  test -n "$$unique" || unique=$$empty_fix; \
358	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
359	    $$tags $$unique; \
360	fi
361ctags: CTAGS
362CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
363		$(TAGS_FILES) $(LISP)
364	tags=; \
365	here=`pwd`; \
366	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
367	unique=`for i in $$list; do \
368	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
369	  done | \
370	  $(AWK) '    { files[$$0] = 1; } \
371	       END { for (i in files) print i; }'`; \
372	test -z "$(CTAGS_ARGS)$$tags$$unique" \
373	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
374	     $$tags $$unique
375
376GTAGS:
377	here=`$(am__cd) $(top_builddir) && pwd` \
378	  && cd $(top_srcdir) \
379	  && gtags -i $(GTAGS_ARGS) $$here
380
381distclean-tags:
382	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
383
384distdir: $(DISTFILES)
385	$(am__remove_distdir)
386	mkdir $(distdir)
387	$(mkdir_p) $(distdir)/doc
388	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
389	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
390	list='$(DISTFILES)'; for file in $$list; do \
391	  case $$file in \
392	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
393	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
394	  esac; \
395	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
396	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
397	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
398	    dir="/$$dir"; \
399	    $(mkdir_p) "$(distdir)$$dir"; \
400	  else \
401	    dir=''; \
402	  fi; \
403	  if test -d $$d/$$file; then \
404	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
405	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
406	    fi; \
407	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
408	  else \
409	    test -f $(distdir)/$$file \
410	    || cp -p $$d/$$file $(distdir)/$$file \
411	    || exit 1; \
412	  fi; \
413	done
414	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
415	  if test "$$subdir" = .; then :; else \
416	    test -d "$(distdir)/$$subdir" \
417	    || $(mkdir_p) "$(distdir)/$$subdir" \
418	    || exit 1; \
419	    distdir=`$(am__cd) $(distdir) && pwd`; \
420	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
421	    (cd $$subdir && \
422	      $(MAKE) $(AM_MAKEFLAGS) \
423	        top_distdir="$$top_distdir" \
424	        distdir="$$distdir/$$subdir" \
425	        distdir) \
426	      || exit 1; \
427	  fi; \
428	done
429	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
430	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
431	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
432	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
433	|| chmod -R a+r $(distdir)
434dist-gzip: distdir
435	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
436	$(am__remove_distdir)
437dist-bzip2: distdir
438	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
439	$(am__remove_distdir)
440
441dist-tarZ: distdir
442	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
443	$(am__remove_distdir)
444
445dist-shar: distdir
446	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
447	$(am__remove_distdir)
448
449dist-zip: distdir
450	-rm -f $(distdir).zip
451	zip -rq $(distdir).zip $(distdir)
452	$(am__remove_distdir)
453
454dist dist-all: distdir
455	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
456	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
457	$(am__remove_distdir)
458
459# This target untars the dist file and tries a VPATH configuration.  Then
460# it guarantees that the distribution is self-contained by making another
461# tarfile.
462distcheck: dist
463	case '$(DIST_ARCHIVES)' in \
464	*.tar.gz*) \
465	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
466	*.tar.bz2*) \
467	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
468	*.tar.Z*) \
469	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
470	*.shar.gz*) \
471	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
472	*.zip*) \
473	  unzip $(distdir).zip ;;\
474	esac
475	chmod -R a-w $(distdir); chmod a+w $(distdir)
476	mkdir $(distdir)/_build
477	mkdir $(distdir)/_inst
478	chmod a-w $(distdir)
479	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
480	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
481	  && cd $(distdir)/_build \
482	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
483	    $(DISTCHECK_CONFIGURE_FLAGS) \
484	  && $(MAKE) $(AM_MAKEFLAGS) \
485	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
486	  && $(MAKE) $(AM_MAKEFLAGS) check \
487	  && $(MAKE) $(AM_MAKEFLAGS) install \
488	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
489	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
490	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
491	        distuninstallcheck \
492	  && chmod -R a-w "$$dc_install_base" \
493	  && ({ \
494	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
495	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
496	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
497	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
498	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
499	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
500	  && rm -rf "$$dc_destdir" \
501	  && $(MAKE) $(AM_MAKEFLAGS) dist \
502	  && rm -rf $(DIST_ARCHIVES) \
503	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
504	$(am__remove_distdir)
505	@(echo "$(distdir) archives ready for distribution: "; \
506	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
507	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
508distuninstallcheck:
509	@cd $(distuninstallcheck_dir) \
510	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
511	   || { echo "ERROR: files left after uninstall:" ; \
512	        if test -n "$(DESTDIR)"; then \
513	          echo "  (check DESTDIR support)"; \
514	        fi ; \
515	        $(distuninstallcheck_listfiles) ; \
516	        exit 1; } >&2
517distcleancheck: distclean
518	@if test '$(srcdir)' = . ; then \
519	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
520	  exit 1 ; \
521	fi
522	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
523	  || { echo "ERROR: files left in build directory after distclean:" ; \
524	       $(distcleancheck_listfiles) ; \
525	       exit 1; } >&2
526check-am: all-am
527check: check-recursive
528all-am: Makefile $(MANS) config.h
529installdirs: installdirs-recursive
530installdirs-am:
531	for dir in "$(DESTDIR)$(man1dir)"; do \
532	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
533	done
534install: install-recursive
535install-exec: install-exec-recursive
536install-data: install-data-recursive
537uninstall: uninstall-recursive
538
539install-am: all-am
540	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
541
542installcheck: installcheck-recursive
543install-strip:
544	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
545	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
546	  `test -z '$(STRIP)' || \
547	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
548mostlyclean-generic:
549
550clean-generic:
551
552distclean-generic:
553	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
554
555maintainer-clean-generic:
556	@echo "This command is intended for maintainers to use"
557	@echo "it deletes files that may require special tools to rebuild."
558clean: clean-recursive
559
560clean-am: clean-generic mostlyclean-am
561
562distclean: distclean-recursive
563	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
564	-rm -f Makefile
565distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
566
567dvi: dvi-recursive
568
569dvi-am:
570
571html: html-recursive
572
573info: info-recursive
574
575info-am:
576
577install-data-am: install-man
578
579install-exec-am:
580
581install-info: install-info-recursive
582
583install-man: install-man1
584
585installcheck-am:
586
587maintainer-clean: maintainer-clean-recursive
588	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
589	-rm -rf $(top_srcdir)/autom4te.cache
590	-rm -f Makefile
591maintainer-clean-am: distclean-am maintainer-clean-generic
592
593mostlyclean: mostlyclean-recursive
594
595mostlyclean-am: mostlyclean-generic
596
597pdf: pdf-recursive
598
599pdf-am:
600
601ps: ps-recursive
602
603ps-am:
604
605uninstall-am: uninstall-info-am uninstall-man
606
607uninstall-info: uninstall-info-recursive
608
609uninstall-man: uninstall-man1
610
611.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
612	check-am clean clean-generic clean-recursive ctags \
613	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
614	dist-tarZ dist-zip distcheck distclean distclean-generic \
615	distclean-hdr distclean-recursive distclean-tags \
616	distcleancheck distdir distuninstallcheck dvi dvi-am html \
617	html-am info info-am install install-am install-data \
618	install-data-am install-exec install-exec-am install-info \
619	install-info-am install-man install-man1 install-strip \
620	installcheck installcheck-am installdirs installdirs-am \
621	maintainer-clean maintainer-clean-generic \
622	maintainer-clean-recursive mostlyclean mostlyclean-generic \
623	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
624	uninstall uninstall-am uninstall-info-am uninstall-man \
625	uninstall-man1
626
627# Tell versions [3.59,3.63) of GNU make to not export all variables.
628# Otherwise a system limit (for SysV at least) may be exceeded.
629.NOEXPORT:
630